GET V1/Inventory.{ext}/SiteGroups?siteGroup={siteGroup}&status={status}&pageIndex={pageIndex}&pageSize={pageSize}

A Site Group is a unique alphanumeric (combination of alphabets and numbers) code given to group of Sites that belong to a Client/Partner.
A Site Group does not necessarily group Sites from the same State.A group of Sites from two or more States can also belong to a single Site Group. Get Available Active SiteGroups Information.
Optional Fields : pageIndex, pageSize,siteGroup (Ex:-UHG),status(Ex:1)

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteGroup

Indicates siteGroup(Ex:-UHG)

string

Default value is

status

Indicates status(Ex:1)

string

Default value is

pageIndex

Indicates pageIndex(Ex:-1)

integer

Default value is 0

pageSize

Indicates pageSize(Ex:-10)

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

Return Available Active SiteGroups,status Information.

EMSResponseOfEMS.Inventory.Entities.SitesGroups
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.SitesGroups

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "SitesGroups",
  "response": {
    "siteGroupList": [
      {
        "siteGroupId": 1,
        "siteGroupName": "sample string 1",
        "status": "sample string 2",
        "effectiveDate": "2026-06-01T14:15:28.6272494-04:00",
        "expiryDate": "2026-06-01T14:15:28.6272494-04:00",
        "region": "sample string 3",
        "address1": "sample string 4",
        "address2": "sample string 5",
        "city": "sample string 6",
        "state": "sample string 7",
        "country": "sample string 8",
        "poBox": "sample string 9",
        "zip": "sample string 10",
        "latitude": "sample string 11",
        "longitude": "sample string 12",
        "geoLocation": "sample string 13"
      },
      {
        "siteGroupId": 1,
        "siteGroupName": "sample string 1",
        "status": "sample string 2",
        "effectiveDate": "2026-06-01T14:15:28.6272494-04:00",
        "expiryDate": "2026-06-01T14:15:28.6272494-04:00",
        "region": "sample string 3",
        "address1": "sample string 4",
        "address2": "sample string 5",
        "city": "sample string 6",
        "state": "sample string 7",
        "country": "sample string 8",
        "poBox": "sample string 9",
        "zip": "sample string 10",
        "latitude": "sample string 11",
        "longitude": "sample string 12",
        "geoLocation": "sample string 13"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.